<%@ LANGUAGE = VBScript %>
<%   Option Explicit %>
<%   Response.Expires= -1 %>

<!--
Programmer....: Michael Thomas  michael@michael-thomas.com
Original Date.: 9/17/02
Modified......:
Description...: Show basic ASP code for running a Sql Query on a MS Access Database

Notes:
  Copied to local directory: C:\Program Files\Common Files\System\ado\adovbs.inc


-->
<!-- #include file="include/adovbs.inc" -->
<html>
<head>
<title>DB Basics (Add & Delete Record using Procedures) (ASP)</title>
</head>
<body>
<%
  Dim dbcnUsers     ' As ADODB.Connection

//-------------------------------------
  sub connectToDb
//-------------------------------------

  //Example of connecting to a Database.
  //Dim dbcnUsers     ' As ADODB.Connection
  Dim strDbPathname ' As String
  Dim strConnection ' As String
  
  strDbPathname = Server.MapPath("MyDbAsp.mdb")
  
  strConnection = _
    "Provider=Microsoft.Jet.OLEDB.4.0;" _
    & "Data Source=" & strDbPathname

  Set dbcnUsers = Server.CreateObject("ADODB.Connection")
  dbcnUsers.Open(strConnection)

  response.write("<p>Connected to database: <b>" & strDbPathname & "</b>.</p>")
  
  end sub

//-------------------------------------
  sub displayRecords
//-------------------------------------
  
  //Example of running a SQL query.
  Dim rsUsers ' As ADODB.Recordset
  Dim strSql ' As String
 
  strSql = "select * from users " _
           & "order by username"
  Set rsUsers = dbcnUsers.Execute( strSql ) //Returns a RecordSet

  //Example of publishing the results of the query.

  response.write( "<p>SQL Query executed: <b>" & strSql & "</b></p>" )
  response.write( "<p>" )
  response.write( "List of Users<br>" )
  response.write( "<ul>" )
  
  Do While Not rsUsers.EOF
    response.write( "<li>" & rsUsers("username") & "</li>" )
    rsUsers.MoveNext
  Loop
  
  response.write( "</ul>" )
  response.write( "</p>" )

  rsUsers.Close
  Set rsUsers = Nothing

  end sub

//-------------------------------------
  sub insertRecords
//-------------------------------------
  Dim rsUsers ' As ADODB.Recordset
  Dim strSql ' As String

  strSql = "insert into users (username) values ('Me')"  
  response.write( "SQL command: <b>" + strSql + "</b><br>" )
  Set rsUsers = dbcnUsers.Execute( strSql ) //Returns a RecordSet

  end sub

//-------------------------------------
  sub deleteRecords
//-------------------------------------
  Dim rsUsers ' As ADODB.Recordset
  Dim strSql ' As String

  strSql = "delete from users where username = 'Me'"
  response.write( "SQL command: <b>" + strSql + "</b><br>" )
  Set rsUsers = dbcnUsers.Execute( strSql ) //Returns a RecordSet

  end sub
  
//-------------------------------------
  sub closeConnection
//-------------------------------------

  dbcnUsers.Close
  Set dbcnUsers = Nothing
  
  end sub

%>

<h1 align="center">ASP DB Basics<br>(Add & Delete Record using Procedures)</h1>

<p>See the source code (ASP) for the examples.</p>

<p>1. Connect to database.</p>  
  
<%
  call connectToDb //Connect to DB.
%>

<p>2. Displaying data <b>before adding</b> a record.</p>
<%
  call displayRecords
%>

<p>3. <b>Add</b> a record.</p>

<%
  call insertRecords
%>

<p>4. Data records: (<b>after adding</b> a record)</p>

<%
  call displayRecords
%>

<p>5. <b>Delete</b> the record.</p>

<%
  call deleteRecords
%>

<p>6. Data Records: (<b>after deleting</b> the record)</p>

<%
  call displayRecords
%>

<p>7. Close (Recordset & Connection)</p>

<%
  call closeConnection
%>
</body>
</html>