<%@ LANGUAGE = VBScript %>
<%   Option Explicit %>
<%   Response.Expires= -1 %><html>

<!--
Programmer....: Michael Thomas  michael@michael-thomas.com
Original Date.: 9/17/02
Modified......:
Description...: Show basic ASP code for executing Insert/Delete Sql command on a MS Access Database

Notes:
  Copied to local directory: C:\Program Files\Common Files\System\ado\adovbs.inc


-->

<head>
<title>DB Basics (Connection & Query) (ASP)</title>
</head>
<h1>DB Basics (Connection & Query) (ASP)</h1>

<p>See the source code (ASP) for the examples.</p>

<%
  //Provider info:
  //Microsoft Access 97 - Microsoft Jet 3.51 OLE DB Provider 
  //Microsoft Access 2000 - Microsoft Jet 4.0 OLE DB Provider 
  //Microsoft Access XP - Microsoft Jet 4.0 OLE DB Provider

  //Example of connecting to a Database.
  Dim dbcnUsers     ' As ADODB.Connection
  Dim strDbPathname ' As String
  Dim strConnection ' As String
  
  strDbPathname = Server.MapPath("MyDbAsp.mdb")
  
  strConnection = _
    "Provider=Microsoft.Jet.OLEDB.4.0;" _
    & "Data Source=" & strDbPathname

  Set dbcnUsers = Server.CreateObject("ADODB.Connection")
  dbcnUsers.Open(strConnection)

%>

<p>1. Connected to database: <b><%= strDbPathname%></b>.</p>

<p>2. Example of displaying data from a record set.</p>

<%
  //Example of running a SQL query.
  Dim rsUsers ' As ADODB.Recordset
  Dim strSql ' As String
 
  strSql = "select * from users " _
           & "order by username"

  Set rsUsers = dbcnUsers.Execute( strSql ) //Returns a RecordSet

  //Example of publishing the results of the query.

  response.write( "<hr>" )
  response.write( "<p>SQL Query executed: <b>" & strSql & "</b></p>" )
  response.write( "<p>" )
  response.write( "List of Users<br>" )
  response.write( "<ul>" )
  
  Do While Not rsUsers.EOF
    response.write( "<li>" & rsUsers("username") & "</li>" )
    rsUsers.MoveNext
  Loop
  
  response.write( "</ul>" )
  response.write( "</p>" )
  response.write( "<hr>" )
%>

<p>3. Close (Recordset & Connection)</p>

<%
  rsUsers.Close
  Set rsUsers = Nothing
  dbcnUsers.Close
  Set dbcnUsers = Nothing
%>

</html>