<%@ LANGUAGE = VBScript %>
<%   Option Explicit %>
<%   Response.Expires= -1 %>
<html>

<!--
Programmer....: Michael Thomas  michael@michael-thomas.com
Original Date.: 9/17/02
Modified......:
Description...: Show basic ASP code for executing a query on a table connected via ODBC (DSN)

-->

<head>
<title>DB Basics: Connect to DB via ODBC (DSN) (ASP)</title>
</head>
<p align="center">
<h1>DB Basics: Connect to DB via ODBC (DSN) (ASP)</h1>
<p>See the source code (ASP) for the examples.</p>
<p>DSN works with Access, DB2, MS SQL, and others)</p>
<p>Steps</p>
<ul>
  <li>Use the .sql file (ie: MyDbAsp_query_vbscript_dsn_mssql.sql for MSSQL) to create the DB and tables.</li>
  <li>Next create a DSN entry. Control Panel, Administrator Tools, ODBC, System DSN, Add etc...<br></li>
  <li>Next modify the variable strOpenDBInfo with your user/password info.</li>
</ul>
<%
  //Example of connecting to a Database.
  Dim dbcnUsers     ' As ADODB.Connection
  Dim strOpenDBInfo ' As String
  
  strOpenDBInfo = "DSN=MyDbAsp;UID=mydbasp;PWD=mydbasp;"

  On Error Resume Next
  Set dbcnUsers = Server.CreateObject("ADODB.Connection")
  if ( Err.Number <> 0 ) Then
    Response.Clear
    Response.Write("Programming error!  Error creating the DB Connection." & "<br>" & vbCrLf )
    Response.End
  End If

  On Error Resume Next
  dbcnUsers.open(strOpenDBInfo)
  if ( Err.Number <> 0 ) Then
    Response.Clear
    Response.Write("Programming error!  DB Login failed: DSN name and/or password is probably incorrect." & "<br>" & vbCrLf )
    Response.End
  End If

%>

<p>Example of displaying data from a record set.</p>

<%
  //Example of running a SQL query.
  Dim rsUsers ' As ADODB.Recordset
  Dim strSql ' As String
 
  strSql = "select * from users " _
           & "order by username"

  Set rsUsers = dbcnUsers.Execute( strSql ) //Returns a RecordSet

  //Example of publishing the results of the query.

  response.write( "<hr>" )
  response.write( "<p>SQL Query executed: <b>" & strSql & "</b></p>" )
  response.write( "<p>" )
  response.write( "List of Users<br>" )
  response.write( "<ul>" )
  
  Do While Not rsUsers.EOF
    response.write( "<li>" & rsUsers("username") & "</li>" )
    rsUsers.MoveNext
  Loop
  
  response.write( "</ul>" )
  response.write( "</p>" )
  response.write( "<hr>" )
%>

<p>3. Close (Recordset & Connection)</p>

<%
  rsUsers.Close
  Set rsUsers = Nothing
  dbcnUsers.Close
  Set dbcnUsers = Nothing
%>

</html>