<%@ LANGUAGE = VBScript %>
<%   Option Explicit %>
<%   Response.Expires= -1 %>
<html>
<head>
<title>ASP Server Side Objects</title>
<script>
function fOnBodyLoad() {

  //alert("in fOnBodyLoad()");
  document.forms[0].submit();
  
}

</script>	
</head>
<body>
<h1 align='center'>ASP Server Side Objects: <br>
                   Session, Application & Server</h1>

<h2>Application.Contents Object</h2>

<%
Dim x

Application.Contents("TestApplicationObject1") = "Test1"
Application("TestApplicationObject2") = "Test2"

response.write("<p>Application.Contents.Count = " & Application.Contents.Count & " </p>")

response.write("<table border='1'>")
With Application

  for Each x in .Contents
    response.write("<tr>")
    response.write ("  <td>" + x + "</td>")
    response.write ("  <td>")
    response.write (     .Contents(x) )
    response.write ("  </td>")
    response.write ("</tr>")

  next
  
End With
response.write("</table>")

%>

<h2>Application.StaticObjects</h2>

<%

response.write("<p>Application.StaticObjects.Count = " & Application.StaticObjects.Count & " </p>")

response.write("<table border='1'>")
With Application

  for Each x in .StaticObjects
    response.write("<tr>")
    response.write ("  <td>" + x + "</td>")
    response.write ("  <td>")
    response.write (     .StaticObjects(x) )
    response.write ("  </td>")
    response.write ("</tr>")

  next
  
End With
response.write("</table>")

%>

<h2>Session.Contents</h2>

<%


response.write("<p>Session.Contents.Count = " & Session.Contents.Count & " </p>")

response.write("<table border='1'>")
With Session

  for Each x in .Contents
    response.write("<tr>")
    response.write ("  <td>" + x + "</td>")
    response.write ("  <td>")
    response.write (     .Contents(x) )
    response.write ("  </td>")
    response.write ("</tr>")

  next
  
End With
response.write("</table>")

%>

<h2>Session.StaticObjects</h2>

<%


response.write("<p>Session.StaticObjects.Count = " & Session.StaticObjects.Count & " </p>")

response.write("<table border='1'>")
With Session

  for Each x in .StaticObjects
    response.write("<tr>")
    response.write ("  <td>" + x + "</td>")
    response.write ("  <td>")
    response.write (     .StaticObjects(x) )
    response.write ("  </td>")
    response.write ("</tr>")

  next
  
End With
response.write("</table>")

%>

<h2>Server Objects</h2>

<%
' ??? Server.ScriptTimeout
response.write("Server.HTMLEncode = " & Server.HTMLEncode("<HTML>") & "<br>" )
response.write("Server.URLEncode(""http://www.michael-thomas.com"") = " & Server.URLEncode("http://www.michael-thomas.com") & "<br>" )
response.write("Server.MapPath(""."") = " & Server.MapPath(".") & "<br>" )
%>

<h2>Cookies</h2>

<%

response.write("<p># of Cookies (Request.Cookies.Count) = " & Request.Cookies.Count & " </p>")

response.write("<table border='1'>")
With Request

  for Each x in .Cookies
    response.write("<tr>")
    response.write ("<td>" + x + "</td>")
    response.write ("<td>")
    response.write ("# of sub keys = " & .Cookies(x).count )
    
    if .Cookies(x).count then
      response.write ("<br><br>")
    end if
    
    for each subkey in .Cookies(x) 
      response.write ( subkey & " = " & .Cookies(x)(subkey) & "<br>" )
    next
    
    response.write ("</td>")
    response.write("</tr>")

  next
  
End With
response.write("</table>")

%>

<h2>URL Parms</h2>

<%

// Request.QueryString.Count

response.write("<p># of URL Parms (Request.QueryString.Count) = " & Request.QueryString.Count & " </p>")

response.write("<table border='1'>")
With Request

  for Each x in .QueryString
    response.write("<tr>")
    response.write ("<td>" + x + "</td><td>" + .QueryString(x) + "</td>")
    response.write("</tr>")
  next
  
End With
response.write("</table>")
%>

<h2>Request Function</h2>

<p>
Note:  These must be added manually by the programmer.<br>
See code for an example.  Gets the URL parm like Request.QueryString("parm name") command
</p>

<%

response.write("request(""User"") = " & request("User") & "<br>")

%>

<h2>Request.ServerVariables</h2>


<%

response.write("<p># of URL Parms (Request.ServerVariables.count) = " & Request.ServerVariables.count & " </p>")

response.write("<table border='1'>")
With Request

  for Each x in .ServerVariables
    response.write("<tr>")
    response.write ("<td>" + x + "</td><td>" + .ServerVariables(x) + "</td>")
    response.write("</tr>")
  next
  
End With
response.write("</table>")


%>



<h2>Session Variables</h2>
<p>Note:  These must be added manually by the programmer.</p>
<%

' response.write("1 = " & Session("Example") & "<br>")

%>

</body>
</HTML>