<%@ Language=VBScript %>
<% Option Explicit %>
<% Response.Expires= -1 %>
<html>
<head>
<title>Example of Arrays in ASP (VBScript)</title>
</head>
<body>
<h1 align="center">Example of Using Arrays (ASP-VBScript)</h1>

<p>Example of using Arrays with ASP-VBScript</p>

<%

Dim strMsg

Dim intDay
Dim arrDaysOfWeek
arrDaysOfWeek = Array("Monday","Tuesday","Wednesday","Thursday","Friday","Saturday","Sunday")

strMsg = strMsg & "Array created by Array()." & "<br>" & vbCrLf
For intDay = 0 to UBound(arrDaysOfWeek)-1 Step 1
  strMsg = strMsg & intDay & " - " & arrDaysOfWeek(intDay) & "<br>" & vbCrLf
Next


Dim arrItems(4)

//arrItems = Array("January","February","March","April")

arrItems(0) = "January"
arrItems(1) = "February"
arrItems(2) = "March"
arrItems(3) = "April"

Dim intCounter

strMsg = strMsg & "Step through an array: Bottom up" & "<br>" & vbCrLf
strMsg = strMsg & "UBound(arrItems) = " & UBound(arrItems) & "<br>" & vbCrLf
For intCounter = 0 to UBound(arrItems)-1 Step 1
  strMsg = strMsg & intCounter & " - " & arrItems(intCounter) & "<br>" & vbCrLf
Next

strMsg = strMsg & "<br>" & vbCrLf

strMsg = strMsg & "Step through an array: Top down (reverse)." & "<br>" & vbCrLf
For intCounter = UBound(arrItems)-1 to 0 Step -1
 strMsg = strMsg & intCounter & " - " & arrItems(intCounter) & "<br>" & vbCrLf
Next

Response.Write( strMsg )
Response.Write( "<br>" )

Dim strMsgMulti
Dim intCounterMulti
Dim arrItemsMulti(3,2)
Const COL1MULTI = 1
Const COL2MULTI = 2

arrItemsMulti(0, COL1MULTI) = "Row #0 - Col #1"
arrItemsMulti(0, COL2MULTI) = "Row #0 - Col #2"
arrItemsMulti(1, COL1MULTI) = "Row #1 - Col #1"
arrItemsMulti(1, COL2MULTI) = "Row #1 - Col #2"
arrItemsMulti(2, COL1MULTI) = "Row #2 - Col #1"
arrItemsMulti(2, COL2MULTI) = "Row #2 - Col #2"

strMsgMulti = strMsgMulti & "Step through an Multi-Dimensional array: Bottom up" & "<br>" & vbCrLf
For intCounterMulti = 0 to UBound(arrItemsMulti)-1 Step 1
  strMsgMulti = strMsgMulti & intCounterMulti & " - " & arrItemsMulti(intCounterMulti,COL1MULTI) & " : " & arrItemsMulti(intCounterMulti,COL2MULTI) & "<br>" & vbCrLf
Next

Response.Write( strMsgMulti )

%>
</body>
</html>
