<%@ Language=VBScript %>
<% Option Explicit %>
<% Response.Expires= -1 %>
<% Sub Main %>
<html>
<head>
<title>Example of Custom Classes in ASP (VBScript)</title>
</head>
<body>
<h1 align="center">Example of Custom Classes in ASP (VBScript)</h1>

<p>Simple example of creating a custom class (custom object) in ASP using VBScript. (Note: You must look at the .ASP source code. Viewing the source from the browser will not work.)</p>

<%

Dim objUser ' As User
Set objUser = New User

objUser.Name = "John Doe"
objUser.LastLogin = Date()
objUser.ChangeUserCode("Preferred") ' Options: Preferred, Normal
' objUser.UserCode = 1 ' Note: because this was made Private, you can't access it here!
objUser.strPublicVarTest = "*** Not a good idea."
%>

<p>
Name: <%= objUser.Name()%> <br>
User Code Type: <%= objUser.UserCodeType() %> <br>
Last Login: <%= objUser.LastLogin() %> <br>
Public Var in User Object: <%= objUser.strPublicVarTest %> <br>
</p>

</body>
</html>
<% End Sub %>
<% Call Main %>
<%
Class User

  Private strName ' As String
  Private dateLastLogin ' As DateTime
  Private intUserCode ' As Integer
  Public strPublicVarTest ' As String - Not a good programming practice.

  Public Property Let Name(strValue)
    strName = strValue
  End Property

  Public Property Get Name()
    Name = strName
  End Property

  Public Property Let LastLogin(dateValue)
    dateLastLogin = dateValue
  End Property

  Public Property Get LastLogin()
    LastLogin = dateLastLogin
  End Property

  ' Note that this is a PRIVATE example.
  Private Property Let UserCode(intValue)
    intUserCode = intValue
  End Property

  Public Property Get UserCode()
    UserCode = intUserCode
  End Property

  Public Sub ChangeUserCode( strUserCode )
    If ( strUserCode = "Preferred" ) Then
      UserCode = 1  ' This calls the Let (setter) which is Private.
    Else
      UserCode = 0  ' This calls the Let (setter) which is Private.
    End If
  End Sub

  Public Function UserCodeType()
    If ( UserCode = 1 ) Then        ' This calls the Get
      UserCodeType = "Preferred"
    Else
      UserCodeType = "Normal"
    End If
  End Function

End Class
%>